Bug 35238 - Adding and removing a group member in UCS does not remove the member in AD
Adding and removing a group member in UCS does not remove the member in AD
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: S4 Connector
UCS 3.2
Other Linux
: P5 normal (vote)
: UCS 3.2-2-errata
Assigned To: Stefan Gohmann
Arvid Requate
:
Depends on: 35234
Blocks:
  Show dependency treegraph
 
Reported: 2014-07-03 09:53 CEST by Stefan Gohmann
Modified: 2014-07-24 15:18 CEST (History)
1 user (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Gohmann univentionstaff 2014-07-03 09:53:59 CEST
The same fix is needed for the S4 connector. 

+++ This bug was initially created as a clone of Bug #35234 +++

Scenario:
 - UCS and AD with AD connector in write mode
 - different LDAP base DNs
 - starting the connector
 - adding a existing user to a group
 - waiting for the synchronization
 - removing the user from the group

Result:
 - the user is still member of the group in AD

Expected behavior:
 - the user has been removed from the group
Comment 1 Stefan Gohmann univentionstaff 2014-07-07 06:40:28 CEST
The cache is now ignored in write mode. I've added these test cases:
 tests/52_s4connector/154sync_ucs_user_group_membership_with_restart
 tests/52_s4connector/254read_ucs_user_group_membership_with_restart
 tests/52_s4connector/354write_ucs_user_group_membership_with_restart

YAML: r51472

Code: r51468

Test cases: r51462
Comment 2 Arvid Requate univentionstaff 2014-07-21 13:06:58 CEST
Verified:
* Works
* Test cases Ok
* Advisory OK
Comment 3 Janek Walkenhorst univentionstaff 2014-07-24 15:18:04 CEST
http://errata.univention.de/ucs/3.2/153.html